Index: lemon/maps.h
===================================================================
--- lemon/maps.h	(revision 26)
+++ lemon/maps.h	(revision 29)
@@ -53,7 +53,8 @@
   /// Null map. (a.k.a. DoNothingMap)
 
-  /// If you have to provide a map only for its type definitions,
-  /// or if you have to provide a writable map, but
-  /// data written to it will sent to <tt>/dev/null</tt>...
+  /// This map can be used if you have to provide a map only for
+  /// its type definitions, or if you have to provide a writable map, 
+  /// but data written to it is not required (i.e. it will be sent to 
+  /// <tt>/dev/null</tt>).
   template<typename K, typename T>
   class NullMap : public MapBase<K, T> {
@@ -69,4 +70,8 @@
   };
 
+  ///Returns a \c NullMap class
+
+  ///This function just returns a \c NullMap class.
+  ///\relates NullMap
   template <typename K, typename V> 
   NullMap<K, V> nullMap() {
@@ -91,11 +96,13 @@
     /// Default constructor
 
+    /// Default constructor.
     /// The value of the map will be uninitialized. 
     /// (More exactly it will be default constructed.)
     ConstMap() {}
-    ///\e
-
-    /// \param _v The initial value of the map.
-    ///
+    
+    /// Constructor with specified initial value
+
+    /// Constructor with specified initial value.
+    /// \param _v is the initial value of the map.
     ConstMap(const T &_v) : v(_v) {}
     
@@ -159,6 +166,6 @@
   ///Map based on std::map
 
-  ///This is essentially a wrapper for \c std::map. With addition that
-  ///you can specify a default value different from \c Value() .
+  ///This is essentially a wrapper for \c std::map with addition that
+  ///you can specify a default value different from \c Value().
   template <typename K, typename T, typename Compare = std::less<K> >
   class StdMap {
@@ -322,7 +329,7 @@
   /// @{
 
-  /// \brief Identity mapping.
-  ///
-  /// This mapping gives back the given key as value without any
+  /// \brief Identity map.
+  ///
+  /// This map gives back the given key as value without any
   /// modification. 
   template <typename T>
@@ -353,5 +360,5 @@
   ///
   ///This \c concepts::ReadMap "read only map"
-  ///converts the \c Value of a maps to type \c T.
+  ///converts the \c Value of a map to type \c T.
   ///Its \c Key is inherited from \c M.
   template <typename M, typename T> 
@@ -365,6 +372,6 @@
     ///Constructor
 
-    ///Constructor
-    ///\param _m is the underlying map
+    ///Constructor.
+    ///\param _m is the underlying map.
     ConvertMap(const M &_m) : m(_m) {};
 
@@ -375,7 +382,7 @@
   };
   
-  ///Returns an \c ConvertMap class
-
-  ///This function just returns an \c ConvertMap class.
+  ///Returns a \c ConvertMap class
+
+  ///This function just returns a \c ConvertMap class.
   ///\relates ConvertMap
   template<typename T, typename M>
@@ -384,5 +391,5 @@
   }
 
-  ///Simple wrapping of the map
+  ///Simple wrapping of a map
 
   ///This \c concepts::ReadMap "read only map" returns the simple
@@ -391,5 +398,7 @@
   ///map to simple read map.
   ///
-  /// \todo Revise the misleading name
+  ///\sa SimpleWriteMap
+  ///
+  /// \todo Revise the misleading name 
   template<typename M> 
   class SimpleMap : public MapBase<typename M::Key, typename M::Value> {
@@ -407,5 +416,5 @@
   };
 
-  ///Simple writeable wrapping of the map
+  ///Simple writable wrapping of the map
 
   ///This \c concepts::WriteMap "write map" returns the simple
@@ -414,4 +423,6 @@
   ///given map to simple read-write map.
   ///
+  ///\sa SimpleMap
+  ///
   /// \todo Revise the misleading name
   template<typename M> 
@@ -435,7 +446,7 @@
 
   ///This \c concepts::ReadMap "read only map" returns the sum of the two
-  ///given maps. Its \c Key and \c Value will be inherited from \c M1.
+  ///given maps.
+  ///Its \c Key and \c Value are inherited from \c M1.
   ///The \c Key and \c Value of M2 must be convertible to those of \c M1.
-
   template<typename M1, typename M2> 
   class AddMap : public MapBase<typename M1::Key, typename M1::Value> {
@@ -469,5 +480,5 @@
   ///This \c concepts::ReadMap "read only map" returns the sum of the
   ///given map and a constant value.
-  ///Its \c Key and \c Value is inherited from \c M.
+  ///Its \c Key and \c Value are inherited from \c M.
   ///
   ///Actually,
@@ -475,9 +486,11 @@
   ///  ShiftMap<X> sh(x,v);
   ///\endcode
-  ///is equivalent with
+  ///is equivalent to
   ///\code
   ///  ConstMap<X::Key, X::Value> c_tmp(v);
   ///  AddMap<X, ConstMap<X::Key, X::Value> > sh(x,v);
   ///\endcode
+  ///
+  ///\sa ShiftWriteMap
   template<typename M, typename C = typename M::Value> 
   class ShiftMap : public MapBase<typename M::Key, typename M::Value> {
@@ -491,7 +504,7 @@
     ///Constructor
 
-    ///Constructor
-    ///\param _m is the undelying map
-    ///\param _v is the shift value
+    ///Constructor.
+    ///\param _m is the undelying map.
+    ///\param _v is the shift value.
     ShiftMap(const M &_m, const C &_v ) : m(_m), v(_v) {};
     ///\e
@@ -499,19 +512,11 @@
   };
 
-  ///Shift a map with a constant. This map is also writable.
+  ///Shift a map with a constant (ReadWrite version).
 
   ///This \c concepts::ReadWriteMap "read-write map" returns the sum of the
   ///given map and a constant value. It makes also possible to write the map.
-  ///Its \c Key and \c Value is inherited from \c M.
-  ///
-  ///Actually,
-  ///\code
-  ///  ShiftMap<X> sh(x,v);
-  ///\endcode
-  ///is equivalent with
-  ///\code
-  ///  ConstMap<X::Key, X::Value> c_tmp(v);
-  ///  AddMap<X, ConstMap<X::Key, X::Value> > sh(x,v);
-  ///\endcode
+  ///Its \c Key and \c Value are inherited from \c M.
+  ///
+  ///\sa ShiftMap
   template<typename M, typename C = typename M::Value> 
   class ShiftWriteMap : public MapBase<typename M::Key, typename M::Value> {
@@ -525,7 +530,7 @@
     ///Constructor
 
-    ///Constructor
-    ///\param _m is the undelying map
-    ///\param _v is the shift value
+    ///Constructor.
+    ///\param _m is the undelying map.
+    ///\param _v is the shift value.
     ShiftWriteMap(M &_m, const C &_v ) : m(_m), v(_v) {};
     /// \e
@@ -535,7 +540,7 @@
   };
   
-  ///Returns an \c ShiftMap class
-
-  ///This function just returns an \c ShiftMap class.
+  ///Returns a \c ShiftMap class
+
+  ///This function just returns a \c ShiftMap class.
   ///\relates ShiftMap
   template<typename M, typename C> 
@@ -544,4 +549,8 @@
   }
 
+  ///Returns a \c ShiftWriteMap class
+
+  ///This function just returns a \c ShiftWriteMap class.
+  ///\relates ShiftWriteMap
   template<typename M, typename C> 
   inline ShiftWriteMap<M, C> shiftMap(M &m,const C &v) {
@@ -552,6 +561,6 @@
 
   ///This \c concepts::ReadMap "read only map" returns the difference
-  ///of the values of the two
-  ///given maps. Its \c Key and \c Value will be inherited from \c M1.
+  ///of the values of the two given maps.
+  ///Its \c Key and \c Value are inherited from \c M1.
   ///The \c Key and \c Value of \c M2 must be convertible to those of \c M1.
   ///
@@ -585,9 +594,7 @@
 
   ///This \c concepts::ReadMap "read only map" returns the product of the
-  ///values of the two
-  ///given
-  ///maps. Its \c Key and \c Value will be inherited from \c M1.
+  ///values of the two given maps.
+  ///Its \c Key and \c Value are inherited from \c M1.
   ///The \c Key and \c Value of \c M2 must be convertible to those of \c M1.
-
   template<typename M1, typename M2> 
   class MulMap : public MapBase<typename M1::Key, typename M1::Value> {
@@ -614,9 +621,9 @@
   }
  
-  ///Scales a maps with a constant.
+  ///Scales a map with a constant.
 
   ///This \c concepts::ReadMap "read only map" returns the value of the
   ///given map multiplied from the left side with a constant value.
-  ///Its \c Key and \c Value is inherited from \c M.
+  ///Its \c Key and \c Value are inherited from \c M.
   ///
   ///Actually,
@@ -624,9 +631,11 @@
   ///  ScaleMap<X> sc(x,v);
   ///\endcode
-  ///is equivalent with
+  ///is equivalent to
   ///\code
   ///  ConstMap<X::Key, X::Value> c_tmp(v);
   ///  MulMap<X, ConstMap<X::Key, X::Value> > sc(x,v);
   ///\endcode
+  ///
+  ///\sa ScaleWriteMap
   template<typename M, typename C = typename M::Value> 
   class ScaleMap : public MapBase<typename M::Key, typename M::Value> {
@@ -640,7 +649,7 @@
     ///Constructor
 
-    ///Constructor
-    ///\param _m is the undelying map
-    ///\param _v is the scaling value
+    ///Constructor.
+    ///\param _m is the undelying map.
+    ///\param _v is the scaling value.
     ScaleMap(const M &_m, const C &_v ) : m(_m), v(_v) {};
     /// \e
@@ -648,10 +657,13 @@
   };
 
-  ///Scales a maps with a constant (ReadWrite version).
+  ///Scales a map with a constant (ReadWrite version).
 
   ///This \c concepts::ReadWriteMap "read-write map" returns the value of the
   ///given map multiplied from the left side with a constant value. It can
-  ///be used as write map also if the given multiplier is not zero.
-  ///Its \c Key and \c Value is inherited from \c M.
+  ///also be used as write map if the \c / operator is defined between
+  ///\c Value and \c C and the given multiplier is not zero.
+  ///Its \c Key and \c Value are inherited from \c M.
+  ///
+  ///\sa ScaleMap
   template<typename M, typename C = typename M::Value> 
   class ScaleWriteMap : public MapBase<typename M::Key, typename M::Value> {
@@ -665,7 +677,7 @@
     ///Constructor
 
-    ///Constructor
-    ///\param _m is the undelying map
-    ///\param _v is the scaling value
+    ///Constructor.
+    ///\param _m is the undelying map.
+    ///\param _v is the scaling value.
     ScaleWriteMap(M &_m, const C &_v ) : m(_m), v(_v) {};
     /// \e
@@ -675,7 +687,7 @@
   };
   
-  ///Returns an \c ScaleMap class
-
-  ///This function just returns an \c ScaleMap class.
+  ///Returns a \c ScaleMap class
+
+  ///This function just returns a \c ScaleMap class.
   ///\relates ScaleMap
   template<typename M, typename C> 
@@ -684,4 +696,8 @@
   }
 
+  ///Returns a \c ScaleWriteMap class
+
+  ///This function just returns a \c ScaleWriteMap class.
+  ///\relates ScaleWriteMap
   template<typename M, typename C> 
   inline ScaleWriteMap<M, C> scaleMap(M &m,const C &v) {
@@ -692,8 +708,7 @@
 
   ///This \c concepts::ReadMap "read only map" returns the quotient of the
-  ///values of the two
-  ///given maps. Its \c Key and \c Value will be inherited from \c M1.
+  ///values of the two given maps.
+  ///Its \c Key and \c Value are inherited from \c M1.
   ///The \c Key and \c Value of \c M2 must be convertible to those of \c M1.
-
   template<typename M1, typename M2> 
   class DivMap : public MapBase<typename M1::Key, typename M1::Value> {
@@ -723,16 +738,17 @@
 
   ///This \c concepts::ReadMap "read only map" returns the composition of
-  ///two
-  ///given maps. That is to say, if \c m1 is of type \c M1 and \c m2 is
-  ///of \c M2,
+  ///two given maps.
+  ///That is to say, if \c m1 is of type \c M1 and \c m2 is of \c M2,
   ///then for
   ///\code
   ///  ComposeMap<M1, M2> cm(m1,m2);
   ///\endcode
-  /// <tt>cm[x]</tt> will be equal to <tt>m1[m2[x]]</tt>
-  ///
-  ///Its \c Key is inherited from \c M2 and its \c Value is from
-  ///\c M1.
-  ///The \c M2::Value must be convertible to \c M1::Key.
+  /// <tt>cm[x]</tt> will be equal to <tt>m1[m2[x]]</tt>.
+  ///
+  ///Its \c Key is inherited from \c M2 and its \c Value is from \c M1.
+  ///\c M2::Value must be convertible to \c M1::Key.
+  ///
+  ///\sa CombineMap
+  ///
   ///\todo Check the requirements.
   template <typename M1, typename M2> 
@@ -758,8 +774,8 @@
     operator[](Key k) const {return m1[m2[k]];}
   };
+
   ///Returns a \c ComposeMap class
 
   ///This function just returns a \c ComposeMap class.
-  ///
   ///\relates ComposeMap
   template <typename M1, typename M2> 
@@ -768,25 +784,25 @@
   }
   
-  ///Combines of two maps using an STL (binary) functor.
-
-  ///Combines of two maps using an STL (binary) functor.
-  ///
+  ///Combine of two maps using an STL (binary) functor.
+
+  ///Combine of two maps using an STL (binary) functor.
   ///
   ///This \c concepts::ReadMap "read only map" takes two maps and a
-  ///binary functor and returns the composition of
-  ///the two
+  ///binary functor and returns the composition of the two
   ///given maps unsing the functor. 
   ///That is to say, if \c m1 and \c m2 is of type \c M1 and \c M2
-  ///and \c f is of \c F,
-  ///then for
+  ///and \c f is of \c F, then for
   ///\code
-  ///  CombineMap<M1, M2,F,V> cm(m1,m2,f);
+  ///  CombineMap<M1,M2,F,V> cm(m1,m2,f);
   ///\endcode
   /// <tt>cm[x]</tt> will be equal to <tt>f(m1[x],m2[x])</tt>
   ///
   ///Its \c Key is inherited from \c M1 and its \c Value is \c V.
-  ///The \c M2::Value and \c M1::Value must be convertible to the corresponding
+  ///\c M2::Value and \c M1::Value must be convertible to the corresponding
   ///input parameter of \c F and the return type of \c F must be convertible
   ///to \c V.
+  ///
+  ///\sa ComposeMap
+  ///
   ///\todo Check the requirements.
   template<typename M1, typename M2, typename F,
@@ -816,5 +832,5 @@
   ///combineMap<double>(m1,m2,std::plus<double>())
   ///\endcode
-  ///is equivalent with
+  ///is equivalent to
   ///\code
   ///addMap(m1,m2)
@@ -822,5 +838,5 @@
   ///
   ///This function is specialized for adaptable binary function
-  ///classes and c++ functions.
+  ///classes and C++ functions.
   ///
   ///\relates CombineMap
@@ -846,9 +862,9 @@
 
   ///This \c concepts::ReadMap "read only map" returns the negative
-  ///value of the
-  ///value returned by the
-  ///given map. Its \c Key and \c Value will be inherited from \c M.
+  ///value of the value returned by the given map.
+  ///Its \c Key and \c Value are inherited from \c M.
   ///The unary \c - operator must be defined for \c Value, of course.
-
+  ///
+  ///\sa NegWriteMap
   template<typename M> 
   class NegMap : public MapBase<typename M::Key, typename M::Value> {
@@ -868,8 +884,9 @@
 
   ///This \c concepts::ReadWriteMap "read-write map" returns the negative
-  ///value of the value returned by the
-  ///given map. Its \c Key and \c Value will be inherited from \c M.
+  ///value of the value returned by the given map.
+  ///Its \c Key and \c Value are inherited from \c M.
   ///The unary \c - operator must be defined for \c Value, of course.
-
+  ///
+  /// \sa NegMap
   template<typename M> 
   class NegWriteMap : public MapBase<typename M::Key, typename M::Value> {
@@ -897,4 +914,8 @@
   }
 
+  ///Returns a \c NegWriteMap class
+
+  ///This function just returns a \c NegWriteMap class.
+  ///\relates NegWriteMap
   template <typename M> 
   inline NegWriteMap<M> negMap(M &m) {
@@ -905,12 +926,8 @@
 
   ///This \c concepts::ReadMap "read only map" returns the absolute value
-  ///of the
-  ///value returned by the
-  ///given map. Its \c Key and \c Value will be inherited
-  ///from <tt>M</tt>. <tt>Value</tt>
-  ///must be comparable to <tt>0</tt> and the unary <tt>-</tt>
+  ///of the value returned by the given map.
+  ///Its \c Key and \c Value are inherited from \c M. 
+  ///\c Value must be comparable to \c 0 and the unary \c -
   ///operator must be defined for it, of course.
-  ///
-
   template<typename M> 
   class AbsMap : public MapBase<typename M::Key, typename M::Value> {
@@ -931,7 +948,7 @@
   };
   
-  ///Returns a \c AbsMap class
-
-  ///This function just returns a \c AbsMap class.
+  ///Returns an \c AbsMap class
+
+  ///This function just returns an \c AbsMap class.
   ///\relates AbsMap
   template<typename M> 
@@ -943,12 +960,13 @@
 
   ///This \c concepts::ReadMap "read only map" returns the value
-  ///of a
-  ///given map.
+  ///of a given functor.
   ///
   ///Template parameters \c K and \c V will become its
-  ///\c Key and \c Value. They must be given explicitely
+  ///\c Key and \c Value. They must be given explicitly
   ///because a functor does not provide such typedefs.
   ///
   ///Parameter \c F is the type of the used functor.
+  ///
+  ///\sa MapFunctor
   template<typename F, 
 	   typename K = typename F::argument_type, 
@@ -972,5 +990,5 @@
   ///
   ///It is specialized for adaptable function classes and
-  ///c++ functions.
+  ///C++ functions.
   ///\relates FunctorMap
   template<typename K, typename V, typename F> inline 
@@ -1000,4 +1018,6 @@
   ///a ususal \c concepts::ReadMap "readable map",
   ///i.e. <tt>operator[]</tt> and the \c Key and \c Value typedefs also exist.
+  ///
+  ///\sa FunctorMap
   template <typename M> 
   class MapFunctor : public MapBase<typename M::Key, typename M::Value> {
@@ -1034,6 +1054,8 @@
   ///first map. This class is the just readable map type of the ForkWriteMap.
   ///
-  ///The \c Key and \c Value will be inherited from \c M1.
+  ///The \c Key and \c Value are inherited from \c M1.
   ///The \c Key and \c Value of M2 must be convertible from those of \c M1.
+  ///
+  ///\sa ForkWriteMap
   ///
   /// \todo Why is it needed?
@@ -1062,6 +1084,8 @@
   ///corresponding values of \c M1.
   ///
-  ///The \c Key and \c Value will be inherited from \c M1.
+  ///The \c Key and \c Value are inherited from \c M1.
   ///The \c Key and \c Value of M2 must be convertible from those of \c M1.
+  ///
+  ///\sa ForkMap
   template<typename  M1, typename M2> 
   class ForkWriteMap : public MapBase<typename M1::Key, typename M1::Value> {
@@ -1081,8 +1105,7 @@
   };
   
-  ///Returns an \c ForkMap class
-
-  ///This function just returns an \c ForkMap class.
-  ///
+  ///Returns a \c ForkMap class
+
+  ///This function just returns a \c ForkMap class.
   ///\relates ForkMap
   template <typename M1, typename M2> 
@@ -1091,4 +1114,8 @@
   }
 
+  ///Returns a \c ForkWriteMap class
+
+  ///This function just returns a \c ForkWriteMap class.
+  ///\relates ForkWriteMap
   template <typename M1, typename M2> 
   inline ForkWriteMap<M1, M2> forkMap(M1 &m1, M2 &m2) {
@@ -1103,8 +1130,8 @@
   
   ///This bool \c concepts::ReadMap "read only map" returns the 
-  ///logical negation of
-  ///value returned by the
-  ///given map. Its \c Key and will be inherited from \c M,
-  ///its Value is <tt>bool</tt>.
+  ///logical negation of the value returned by the given map.
+  ///Its \c Key is inherited from \c M, its Value is \c bool.
+  ///
+  ///\sa NotWriteMap
   template <typename M> 
   class NotMap : public MapBase<typename M::Key, bool> {
@@ -1124,8 +1151,9 @@
   
   ///This bool \c concepts::ReadWriteMap "read-write map" returns the 
-  ///logical negation of value returned by the given map. When it is set,
+  ///logical negation of the value returned by the given map. When it is set,
   ///the opposite value is set to the original map.
-  ///Its \c Key and will be inherited from \c M,
-  ///its Value is <tt>bool</tt>.
+  ///Its \c Key is inherited from \c M, its Value is \c bool.
+  ///
+  ///\sa NotMap
   template <typename M> 
   class NotWriteMap : public MapBase<typename M::Key, bool> {
@@ -1153,4 +1181,8 @@
   }
   
+  ///Returns a \c NotWriteMap class
+  
+  ///This function just returns a \c NotWriteMap class.
+  ///\relates NotWriteMap
   template <typename M> 
   inline NotWriteMap<M> notMap(M &m) {
@@ -1184,8 +1216,8 @@
   
 
-  /// \brief Writable bool map for logging each true assigned elements
-  ///
-  /// Writable bool map for logging each true assigned elements, i.e it
-  /// copies all the keys set to true to the given iterator.
+  /// \brief Writable bool map for logging each \c true assigned element
+  ///
+  /// Writable bool map for logging each \c true assigned element, i.e it
+  /// copies all the keys set to \c true to the given iterator.
   ///
   /// \note The container of the iterator should contain space 
@@ -1208,5 +1240,7 @@
   ///\endcode
   ///
-  ///\todo Revise the name of this class and the relates ones.
+  ///\sa BackInserterBoolMap 
+  ///
+  ///\todo Revise the name of this class and the related ones.
   template <typename _Iterator, 
             typename _Functor =
@@ -1236,5 +1270,5 @@
     }
 
-    /// Setter function of the map
+    /// The \c set function of the map
     void set(const Key& key, Value value) const {
       if (value) {
@@ -1249,9 +1283,9 @@
   };
 
-  /// \brief Writable bool map for logging each true assigned elements in 
-  /// a back insertable container
-  ///
-  /// Writable bool map for logging each true assigned elements by pushing
-  /// back them into a back insertable container.
+  /// \brief Writable bool map for logging each \c true assigned element in 
+  /// a back insertable container.
+  ///
+  /// Writable bool map for logging each \c true assigned element by pushing
+  /// them into a back insertable container.
   /// It can be used to retrieve the items into a standard
   /// container. The next example shows how you can store the
@@ -1263,4 +1297,8 @@
   /// prim(graph, cost, inserter_map);
   ///\endcode
+  ///
+  ///\sa StoreBoolMap
+  ///\sa FrontInserterBoolMap
+  ///\sa InserterBoolMap
   template <typename Container,
             typename Functor =
@@ -1276,5 +1314,5 @@
       : container(_container), functor(_functor) {}
 
-    /// Setter function of the map
+    /// The \c set function of the map
     void set(const Key& key, Value value) {
       if (value) {
@@ -1288,10 +1326,14 @@
   };
 
-  /// \brief Writable bool map for storing each true assignments in 
+  /// \brief Writable bool map for logging each \c true assigned element in 
   /// a front insertable container.
   ///
-  /// Writable bool map for storing each true assignment in a front 
-  /// insertable container. It will push front all the keys set to \c true into
-  /// the container. For example see the BackInserterBoolMap.
+  /// Writable bool map for logging each \c true assigned element by pushing
+  /// them into a front insertable container.
+  /// It can be used to retrieve the items into a standard
+  /// container. For example see \ref BackInserterBoolMap.
+  ///
+  ///\sa BackInserterBoolMap
+  ///\sa InserterBoolMap
   template <typename Container,
             typename Functor =
@@ -1307,5 +1349,5 @@
       : container(_container), functor(_functor) {}
 
-    /// Setter function of the map
+    /// The \c set function of the map
     void set(const Key& key, Value value) {
       if (value) {
@@ -1319,8 +1361,8 @@
   };
 
-  /// \brief Writable bool map for storing each true assigned elements in 
+  /// \brief Writable bool map for storing each \c true assigned element in 
   /// an insertable container.
   ///
-  /// Writable bool map for storing each true assigned elements in an 
+  /// Writable bool map for storing each \c true assigned element in an 
   /// insertable container. It will insert all the keys set to \c true into
   /// the container.
@@ -1334,4 +1376,7 @@
   /// stronglyConnectedCutArcs(digraph, cost, inserter_map);
   ///\endcode
+  ///
+  ///\sa BackInserterBoolMap
+  ///\sa FrontInserterBoolMap
   template <typename Container,
             typename Functor =
@@ -1342,5 +1387,10 @@
     typedef bool Value;
 
-    /// Constructor
+    /// Constructor with specified iterator
+    
+    /// Constructor with specified iterator.
+    /// \param _container The container for storing the elements.
+    /// \param _it The elements will be inserted before this iterator.
+    /// \param _functor The functor that is used when an element is stored.
     InserterBoolMap(Container& _container, typename Container::iterator _it,
                     const Functor& _functor = Functor()) 
@@ -1348,8 +1398,13 @@
 
     /// Constructor
+
+    /// Constructor without specified iterator.
+    /// The elements will be inserted before <tt>_container.end()</tt>.
+    /// \param _container The container for storing the elements.
+    /// \param _functor The functor that is used when an element is stored.
     InserterBoolMap(Container& _container, const Functor& _functor = Functor())
       : container(_container), it(_container.end()), functor(_functor) {}
 
-    /// Setter function of the map
+    /// The \c set function of the map
     void set(const Key& key, Value value) {
       if (value) {
@@ -1365,9 +1420,9 @@
   };
 
-  /// \brief Fill the true set elements with a given value.
-  ///
-  /// Writable bool map to fill the elements set to \c true with a given value.
-  /// The value can set 
-  /// the container.
+  /// \brief Writable bool map for filling each \c true assigned element with a 
+  /// given value.
+  ///
+  /// Writable bool map for filling each \c true assigned element with a 
+  /// given value. The value can set the container.
   ///
   /// The following code finds the connected components of a graph
@@ -1419,5 +1474,5 @@
     } 
 
-    /// Set function of the map
+    /// The \c set function of the map
     void set(const Key& key, Value value) {
       if (value) {
@@ -1432,8 +1487,8 @@
 
 
-  /// \brief Writable bool map which stores the sequence number of 
-  /// true assignments.  
+  /// \brief Writable bool map for storing the sequence number of 
+  /// \c true assignments.  
   /// 
-  /// Writable bool map which stores for each true assigned elements  
+  /// Writable bool map that stores for each \c true assigned elements  
   /// the sequence number of this setting.
   /// It makes it easy to calculate the leaving
